Vlastné domény
GET https://bridg.ee/api/domains/
curl --request GET \
--url 'https://bridg.ee/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bridg.ee/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametre | Podrobnosti | Popis |
|---|---|---|
| search | Voliteľné Reťazec | Reťazec vyhľadávania. |
| search_by | Voliteľné Reťazec | Podľa akého poľa hľadáte? Povolené hodnoty sú: host. |
| is_enabled | Voliteľné Boolean | |
| order_by | Voliteľné Reťazec | Podľa ktorého poľa zoradiť výsledky. Povolené hodnoty sú: domain_id , datetime , last_datetime , host. |
| order_type | Voliteľné Reťazec | Poradie výsledkov. Povolené hodnoty sú: ASC pre vzostupné poradie a DESC pre zostupné poradie. |
| page | Voliteľné Celé číslo | Číslo stránky, z ktorej chcete výsledky. Predvolene 1 |
| results_per_page | Voliteľné Celé číslo | Koľko výsledkov chcete na stránku. Povolené hodnoty sú: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Predvolené je 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-17 14:55:53",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://bridg.ee/api/domains?page=1",
"last": "https://bridg.ee/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://bridg.ee/api/domains?page=1"
}
}
GET https://bridg.ee/api/domains/{domain_id}
curl --request GET \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-17 14:55:53",
}
}
POST https://bridg.ee/api/domains
| Parametre | Podrobnosti | Popis |
|---|---|---|
| host | Povinné Reťazec | - |
| custom_index_url | Voliteľné Reťazec | - |
| custom_not_found_url | Voliteľné Reťazec | - |
curl --request POST \
--url 'https://bridg.ee/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://bridg.ee/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://bridg.ee/api/domains/{domain_id}
| Parametre | Podrobnosti | Popis |
|---|---|---|
| host | Voliteľné Reťazec | - |
| custom_index_url | Voliteľné Reťazec | - |
| custom_not_found_url | Voliteľné Reťazec | - |
curl --request POST \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://bridg.ee/api/domains/{domain_id}
curl --request DELETE \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bridg.ee/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \